<?php
namespace Incoviba\Common\Implement\Exception;

use Exception;
use Throwable;

class EmptyResult extends Exception
{
    public function __construct(string $query, ?Throwable $previous = null)
    {
        $message = "Empty results for {$query}";
        $code = 700;
        parent::__construct($message, $code, $previous);
    }
}
